Package org.opensaml.soap.wstrust.impl

# Class ParticipantsImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.wstrust.impl.AbstractWSTrustObject
org.opensaml.soap.wstrust.impl.ParticipantsImpl

All Implemented Interfaces:
  `ElementExtensibleXMLObject`, `XMLObject`, `Participants`, `WSTrustObject`

public class ParticipantsImpl extends AbstractWSTrustObject implements Participants
ParticipantsImpl.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final List<Participant>`
`participants`
The list of `Participant` child elements.
`private Primary`
`primary`
The `Primary` child element.
`private final IndexedXMLObjectChildrenList<XMLObject>`
`unknownChildren`
Wildcard child elements.

### Fields inherited from interface org.opensaml.soap.wstrust.Participants

`ELEMENT_LOCAL_NAME, ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`ParticipantsImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`List<Participant>`
`getParticipants()`
Returns the list of wst:Participant child elements .
`Primary`
`getPrimary()`
Returns the wst:Primary child element.
`List<XMLObject>`
`getUnknownXMLObjects()`
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model.
`List<XMLObject>`
`getUnknownXMLObjects(QName typeOrName)`
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model, and which match the specified QName.
`void`
`setPrimary(Primary newPrimary)`
Sets the wst:Primary child element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### primary

@Nullable private Primary primary
The `Primary` child element.

### participants

@Nonnull private final List<Participant> participants
The list of `Participant` child elements.

### unknownChildren

@Nonnull private final IndexedXMLObjectChildrenList<XMLObject> unknownChildren
Wildcard child elements.

## Constructor Details

### ParticipantsImpl

public ParticipantsImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - The namespace of the element
  `elementLocalName` - The local name of the element
  `namespacePrefix` - The namespace prefix of the element

## Method Details

### getPrimary

@Nullable public Primary getPrimary()
Returns the wst:Primary child element.

Specified by:
  `getPrimary` in interface `Participants`
Returns:
  the `Primary` child element or `null`.

### setPrimary

public void setPrimary(@Nullable Primary newPrimary)
Sets the wst:Primary child element.

Specified by:
  `setPrimary` in interface `Participants`
Parameters:
  `newPrimary` - the `Primary` child element to set.

### getParticipants

@Nonnull public List<Participant> getParticipants()
Returns the list of wst:Participant child elements .

Specified by:
  `getParticipants` in interface `Participants`
Returns:
  the list of `Participant` child elements

### getUnknownXMLObjects

@Nonnull public List<XMLObject> getUnknownXMLObjects()
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model.

Specified by:
  `getUnknownXMLObjects` in interface `ElementExtensibleXMLObject`
Returns:
  list of XMLObjects added to this XMLObject as part of the "any" content model

### getUnknownXMLObjects

@Nonnull public List<XMLObject> getUnknownXMLObjects(@Nonnull QName typeOrName)
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model, and which match the specified QName.

Specified by:
  `getUnknownXMLObjects` in interface `ElementExtensibleXMLObject`
Parameters:
  `typeOrName` - the QName of the statements to return
Returns:
  list of XMLObjects added to this XMLObject as part of the "any" content model TODO: think this should be typed List<? extends XMLObject>

### getOrderedChildren

@Nullable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements